name: usb_cam
cmd:
  - start: |
      source_ros
      stdbuf -oL -eL rosrun topic_tools relay /usb_cam/image_raw /xtion/rgb/image_raw &
      stdbuf -oL -eL rosrun usb_cam usb_cam_node _video_device:=/dev/video0
  - check: |
      source_ros
      rosnode list | grep "/usb_cam"
tags:
  - hardware
requires:
  - base_system 
noauto: true
host: ${laptop}
